Subject: Re: strip ?

From: [email-masked] (John L. Coolidge)

>it's safe to strip things as long as you don't need their name lists.
>
>In other words, don't strip your kernel, and don't strip anything
>you might need to use gdb on (not that gdb would be that useful on
>a binary compiled with -g anyway...).

I assume you mean 'a binary NOT compiled with -g anyway'. In any case, I've
had good luck using gdb on binaries built with -O and -O2 as well as
unoptimized binaries (if your compiler is gcc, anyway; pcc-derived
compilers aren't useful without some hacking on the compiler :-)).

--John